%{?scl:%scl_package python-cssselect}
%{!?scl:%global pkg_name %{name}}

%global with_tests 0

Name:           %{?scl_prefix}python-cssselect
Version:        0.9.1
Release:        6%{?dist}
Group:          Development/Libraries
Summary:        Parses CSS3 Selectors and translates them to XPath 1.0

License:        BSD
URL:            http://packages.python.org/cssselect/
Source0:        http://pypi.python.org/packages/source/c/cssselect/cssselect-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  %{?scl_prefix_python}python-devel %{?scl_prefix_python}python-setuptools
%if 0%{?with_tests}
BuildRequires:  %{?scl_prefix}python-lxml
%endif # if with_tests
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}

%description
Cssselect parses CSS3 Selectors and translates them to XPath 1.0 expressions. 
Such expressions can be used in lxml or another XPath engine to find the 
matching elements in an XML or HTML document.

%prep
%setup -q -n cssselect-%{version}
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'

%build
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py build
%{?scl:EOF}

%check
%if 0%{?with_tests}
%{?scl:scl enable %{scl} - << \EOF}
PYTHONPATH=$(pwd) %{__python} cssselect/tests.py
%{?scl:EOF}
%endif # with_tests

%install
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
%{?scl:EOF}
chmod 755 $RPM_BUILD_ROOT/%{python_sitelib}/cssselect/tests.py

%files
%doc AUTHORS docs README.rst CHANGES LICENSE PKG-INFO
%{python_sitelib}/cssselect*

%changelog
* Mon Oct 27 2014 Slavek Kabrda <bkabrda@redhat.com> - 0.9.1-6
- Rebuilt for SCL.

* Thu Aug 14 2014 Ralph Bean <rbean@redhat.com> - 0.9.1-5
- Modernize with_python3 conditional.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 15 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 0.9.1-3
- Enable tests again.

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4
- Bootstrap test running (circular dependency with python-lxml)

* Fri Jan 17 2014 Eduardo Echeverria <echevemaster@gmail.com> 0.9.1-1
- Update to latest upstream.
- although this package have py3 support, the resultant python3 package 
  doesn't existed, reason? On install section, py3 setup install must be first,
  if not, with every running of setup.py install, setup.py overwrite the files, 
  this behaviour has been fixed
- Workaround for python2 macro in epel versions
- use python2 macro instead of python

* Thu Jul 25 2013 Eric Smith <brouhaha@fedoraproject.org> 0.8-1
- Update to latest upstream.
- Added Python 3 support.
- Added EL6 support (uses Python 2.6 rather than 2.7).

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 09 2012 Kevin Fenzi <kevin@scrye.com> 0.7.1-3
- Add tests.

* Fri Nov 09 2012 Kevin Fenzi <kevin@scrye.com> 0.7.1-2
- Fixes from review. 

* Fri Nov 09 2012 Kevin Fenzi <kevin@scrye.com> 0.7.1-1
- Initial version for review
